package com.yunfeiyun.agmp.pts.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 链接对象 PtsLink
 * 
 * @author 杨晓辉
 * @date 2023-05-23
 */
public class PtsLink extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 菜单标识 */
    private String linkId;


    /** 菜单名称 */
    @Excel(name = "菜单名称")
    private String linkName;

    /** 菜单顺序 */
    @Excel(name = "菜单顺序")
    private Integer linkSeq;

    /** 菜单地址 */
    @Excel(name = "菜单地址")
    private String linkPath;

    /** 菜单路由参数 */
    @Excel(name = "菜单路由参数")
    private String linkQuery;

    /** 菜单打开类型 */
    @Excel(name = "菜单打开类型")
    private String linkOpentype;

    /** 菜单显示状态 */
    @Excel(name = "菜单显示状态")
    private String linkVisiblestatus;

    /** 链接类型 */
    @Excel(name = "链接类型")
    private String linkType;

    /** 菜单图标 */
    @Excel(name = "菜单图标")
    private String linkIcon;

    /** 菜单创建者 */
    @Excel(name = "菜单创建者")
    private String linkCreator;

    /** 菜单创建时间 */
    @Excel(name = "菜单创建时间")
    private String linkCreateddate;

    /** 菜单更新者 */
    @Excel(name = "菜单更新者")
    private String linkModifier;

    /** 菜单更新时间 */
    @Excel(name = "菜单更新时间")
    private String linkModifieddate;

    /** 菜单备注 */
    @Excel(name = "菜单备注")
    private String linkRemark;

    /** 菜单图片 */
    @Excel(name = "菜单图片")
    private String resId;


    public String getResId() {
        return resId;
    }

    public void setResId(String resId) {
        this.resId = resId;
    }

    public void setLinkId(String linkId)
    {
        this.linkId = linkId;
    }

    public String getLinkId()
    {
        return linkId;
    }

    public void setLinkName(String linkName)
    {
        this.linkName = linkName;
    }

    public String getLinkName()
    {
        return linkName;
    }
    public void setLinkSeq(Integer linkSeq)
    {
        this.linkSeq = linkSeq;
    }

    public Integer getLinkSeq()
    {
        return linkSeq;
    }
    public void setLinkPath(String linkPath)
    {
        this.linkPath = linkPath;
    }

    public String getLinkPath()
    {
        return linkPath;
    }
    public void setLinkQuery(String linkQuery)
    {
        this.linkQuery = linkQuery;
    }

    public String getLinkQuery()
    {
        return linkQuery;
    }
    public void setLinkOpentype(String linkOpentype)
    {
        this.linkOpentype = linkOpentype;
    }

    public String getLinkOpentype()
    {
        return linkOpentype;
    }
    public void setLinkVisiblestatus(String linkVisiblestatus)
    {
        this.linkVisiblestatus = linkVisiblestatus;
    }

    public String getLinkVisiblestatus()
    {
        return linkVisiblestatus;
    }
    public void setLinkType(String linkType)
    {
        this.linkType = linkType;
    }

    public String getLinkType()
    {
        return linkType;
    }
    public void setLinkIcon(String linkIcon)
    {
        this.linkIcon = linkIcon;
    }

    public String getLinkIcon()
    {
        return linkIcon;
    }
    public void setLinkCreator(String linkCreator)
    {
        this.linkCreator = linkCreator;
    }

    public String getLinkCreator()
    {
        return linkCreator;
    }
    public void setLinkCreateddate(String linkCreateddate)
    {
        this.linkCreateddate = linkCreateddate;
    }

    public String getLinkCreateddate()
    {
        return linkCreateddate;
    }
    public void setLinkModifier(String linkModifier)
    {
        this.linkModifier = linkModifier;
    }

    public String getLinkModifier()
    {
        return linkModifier;
    }
    public void setLinkModifieddate(String linkModifieddate)
    {
        this.linkModifieddate = linkModifieddate;
    }

    public String getLinkModifieddate()
    {
        return linkModifieddate;
    }
    public void setLinkRemark(String linkRemark)
    {
        this.linkRemark = linkRemark;
    }

    public String getLinkRemark()
    {
        return linkRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("linkId", getLinkId())
            .append("linkName", getLinkName())
            .append("linkSeq", getLinkSeq())
            .append("linkPath", getLinkPath())
            .append("linkQuery", getLinkQuery())
            .append("linkOpentype", getLinkOpentype())
            .append("linkVisiblestatus", getLinkVisiblestatus())
            .append("linkType", getLinkType())
            .append("linkIcon", getLinkIcon())
            .append("linkCreator", getLinkCreator())
            .append("linkCreateddate", getLinkCreateddate())
            .append("linkModifier", getLinkModifier())
            .append("linkModifieddate", getLinkModifieddate())
            .append("linkRemark", getLinkRemark())
            .toString();
    }
}
